Skip to content

Changelog

New updates and improvements at Cloudflare.

Upload a certificate bundle with an RSA and ECDSA certificate per custom hostname

Cloudflare has supported both RSA and ECDSA certificates across our platform for a number of years. Both certificates offer the same security, but ECDSA is more performant due to a smaller key size. However, RSA is more widely adopted and ensures compatibility with legacy clients. Instead of choosing between them, you may want both – that way, ECDSA is used when clients support it, but RSA is available if not.

Now, you can upload both an RSA and ECDSA certificate on a custom hostname via the API.

curl -X POST https://api.cloudflare.com/client/v4/zones/$ZONE_ID/custom_hostnames \
    -H 'Content-Type: application/json' \
    -H "X-Auth-Email: $CLOUDFLARE_EMAIL" \
    -H "X-Auth-Key: $CLOUDFLARE_API_KEY" \
    -d '{
    "hostname": "hostname",
    "ssl": {
        "custom_cert_bundle": [
            {
                "custom_certificate": "RSA Cert",
                "custom_key": "RSA Key"
            },
            {
                "custom_certificate": "ECDSA Cert",
                "custom_key": "ECDSA Key"
            }
        ],
        "bundle_method": "force",
        "wildcard": false,
        "settings": {
            "min_tls_version": "1.0"
        }
    }
}’

You can also:

  • Upload an RSA or ECDSA certificate to a custom hostname with an existing ECDSA or RSA certificate, respectively.

  • Replace the RSA or ECDSA certificate with a certificate of its same type.

  • Delete the RSA or ECDSA certificate (if the custom hostname has both an RSA and ECDSA uploaded).

This feature is available for Business and Enterprise customers who have purchased custom certificates.

Increased Cloudflare Rules limits

We have upgraded and streamlined Cloudflare Rules limits across all plans, simplifying rule management and improving scalability for everyone.

New limits by product:

  • Bulk Redirects
    • Free: 2010,000 URL redirects across lists
    • Pro: 50025,000 URL redirects across lists
    • Business: 50050,000 URL redirects across lists
    • Enterprise: 10,0001,000,000 URL redirects across lists
  • Cloud Connector
    • Free: 510 connectors
    • Enterprise: 125300 connectors
  • Custom Errors
    • Pro: 525 error assets and rules
    • Business: 2050 error assets and rules
    • Enterprise: 50300 error assets and rules
  • Snippets
    • Pro: 1025 code snippets and rules
    • Business: 2550 code snippets and rules
    • Enterprise: 50300 code snippets and rules
  • Cache Rules, Configuration Rules, Compression Rules, Origin Rules, Single Redirects, and Transform Rules
    • Enterprise: 125300 rules

Custom Errors (beta): Stored Assets & Account-level Rules

We're introducing Custom Errors (beta), which builds on our existing Custom Error Responses feature with new asset storage capabilities.

This update allows you to store externally hosted error pages on Cloudflare and reference them in custom error rules, eliminating the need to supply inline content.

This brings the following new capabilities:

  • Custom error assets – Fetch and store external error pages at the edge for use in error responses.
  • Account-Level custom errors – Define error handling rules and assets at the account level for consistency across multiple zones. Zone-level rules take precedence over account-level ones, and assets are not shared between levels.

You can use Cloudflare API to upload your existing assets for use with Custom Errors:

curl "https://api.cloudflare.com/client/v4/zones/{zone_id}/custom_pages/assets" \
--header "Authorization: Bearer <API_TOKEN>" \
--header 'Content-Type: application/json' \
--data '{
  "name": "maintenance",
  "description": "Maintenance template page",
  "url": "https://example.com/"
}'

You can then reference the stored asset in a Custom Error rule:

curl --request PUT \
"https://api.cloudflare.com/client/v4/zones/{zone_id}/rulesets/phases/http_custom_errors/entrypoint" \
--header "Authorization: Bearer <API_TOKEN>" \
--header 'Content-Type: application/json' \
--data '{
  "rules": [
		{
			"action": "serve_error",
			"action_parameters": {
				"asset_name": "maintenance",
				"content_type": "text/html",
				"status_code": 503
			},
			"enabled": true,
			"expression": "http.request.uri.path contains \"error\""
		}
	]
}'

WAF Release - 2025-02-11

RulesetRule IDLegacy Rule IDDescriptionPrevious ActionNew ActionComments
Cloudflare Managed Ruleset100708Aviatrix Network - Remote Code Execution - CVE:CVE-2024-50603LogBlockThis is a New Detection
Cloudflare Managed Ruleset100709Next.js - Remote Code Execution - CVE:CVE-2024-46982LogDisabledThis is a New Detection
Cloudflare Managed Ruleset100710

Progress Software WhatsUp Gold - Directory Traversal - CVE:CVE-2024-12105

LogBlockThis is a New Detection
Cloudflare Managed Ruleset100711WordPress - Remote Code Execution - CVE:CVE-2024-56064LogBlockThis is a New Detection
Cloudflare Managed Ruleset100712WordPress - Remote Code Execution - CVE:CVE-2024-9047LogBlockThis is a New Detection
Cloudflare Managed Ruleset100713FortiOS - Auth Bypass - CVE:CVE-2022-40684LogBlockThis is a New Detection

New Snippets Code Editor

The new Snippets code editor lets you edit Snippet code and rule in one place, making it easier to test and deploy changes without switching between pages.

New Snippets code editor

What’s new:

  • Single-page editing for code and rule – No need to jump between screens.
  • Auto-complete & syntax highlighting – Get suggestions and avoid mistakes.
  • Code formatting & refactoring – Write cleaner, more readable code.

Try it now in Rules > Snippets.

WAF Release - 2025-01-21

RulesetRule IDLegacy Rule IDDescriptionPrevious ActionNew ActionComments
Cloudflare Managed Ruleset100303Command Injection - NslookupLogBlock

This was released as

Cloudflare Managed Ruleset100534Web Shell ActivityLogBlock

This was released as

WAF Release - 2025-01-13

RulesetRule IDLegacy Rule IDDescriptionPrevious ActionNew ActionComments
Cloudflare Managed Ruleset100704

Cleo Harmony - Auth Bypass - CVE:CVE-2024-55956, CVE:CVE-2024-55953

LogBlockNew Detection
Cloudflare Managed Ruleset100705Sentry - SSRFLogBlockNew Detection
Cloudflare Managed Ruleset100706Apache Struts - Remote Code Execution - CVE:CVE-2024-53677LogBlockNew Detection
Cloudflare Managed Ruleset100707

FortiWLM - Remote Code Execution - CVE:CVE-2023-48782, CVE:CVE-2023-34993, CVE:CVE-2023-34990

LogBlockNew Detection
Cloudflare Managed Ruleset100007C_BETACommand Injection - Common Attack CommandsDisabled

New Rules Overview Interface

Rules Overview gives you a single page to manage all your Cloudflare Rules.

What you can do:

  • See all your rules in one place – No more clicking around.
  • Find rules faster – Search by name.
  • Understand execution order – See how rules run in sequence.
  • Debug easily – Use Trace without switching tabs.

Check it out in Rules > Overview.

WAF Release - 2025-01-06

RulesetRule IDLegacy Rule IDDescriptionPrevious ActionNew ActionComments
Cloudflare Specials100678Pandora FMS - Remote Code Execution - CVE:CVE-2024-11320LogBlockNew Detection
Cloudflare Specials100679

Palo Alto Networks - Remote Code Execution - CVE:CVE-2024-0012, CVE:CVE-2024-9474

LogBlockNew Detection
Cloudflare Specials100680Ivanti - Command Injection - CVE:CVE-2024-37397LogBlockNew Detection
Cloudflare Specials100681Really Simple Security - Auth Bypass - CVE:CVE-2024-10924LogBlockNew Detection
Cloudflare Specials100682Magento - XXE - CVE:CVE-2024-34102LogBlockNew Detection
Cloudflare Specials100683CyberPanel - Remote Code Execution - CVE:CVE-2024-51567LogBlockNew Detection
Cloudflare Specials100684

Microsoft SharePoint - Remote Code Execution - CVE:CVE-2024-38094, CVE:CVE-2024-38024, CVE:CVE-2024-38023

LogBlockNew Detection
Cloudflare Specials100685CyberPanel - Remote Code Execution - CVE:CVE-2024-51568LogBlockNew Detection
Cloudflare Specials100686Seeyon - Remote Code ExecutionLogBlockNew Detection
Cloudflare Specials100687

WordPress - Remote Code Execution - CVE:CVE-2024-10781, CVE:CVE-2024-10542

LogBlockNew Detection
Cloudflare Specials100688ProjectSend - Remote Code Execution - CVE:CVE-2024-11680LogBlockNew Detection
Cloudflare Specials100689

Palo Alto GlobalProtect - Remote Code Execution - CVE:CVE-2024-5921

LogBlockNew Detection
Cloudflare Specials100690Ivanti - Remote Code Execution - CVE:CVE-2024-37404LogBlockNew Detection
Cloudflare Specials100691Array Networks - Remote Code Execution - CVE:CVE-2023-28461LogBlockNew Detection
Cloudflare Specials100692CyberPanel - Remote Code Execution - CVE:CVE-2024-51378LogBlockNew Detection
Cloudflare Specials100693Symfony Profiler - Auth Bypass - CVE:CVE-2024-50340LogBlockNew Detection
Cloudflare Specials100694Citrix Virtual Apps - Remote Code Execution - CVE:CVE-2024-8069LogBlockNew Detection
Cloudflare Specials100695MSMQ Service - Remote Code Execution - CVE:CVE-2023-21554LogBlockNew Detection
Cloudflare Specials100696Nginxui - Remote Code Execution - CVE:CVE-2024-49368LogBlockNew Detection
Cloudflare Specials100697

Apache ShardingSphere - Remote Code Execution - CVE:CVE-2022-22733

LogBlockNew Detection
Cloudflare Specials100698Mitel MiCollab - Auth Bypass - CVE:CVE-2024-41713LogBlockNew Detection
Cloudflare Specials100699Apache Solr - Auth Bypass - CVE:CVE-2024-45216LogBlockNew Detection

Terraform Support for Snippets

Now, you can manage Cloudflare Snippets with Terraform. Use infrastructure-as-code to deploy and update Snippet code and rules without manual changes in the dashboard.

Example Terraform configuration:

resource "cloudflare_snippet" "my_snippet" {
	zone_id  = "<ZONE_ID>"
	name = "my_test_snippet_1"
	main_module = "file1.js"
	files {
		name = "file1.js"
		content = file("file1.js")
	}
}

resource "cloudflare_snippet_rules" "cookie_snippet_rule" {
	zone_id  = "<ZONE_ID>"
	rules {
		enabled = true
		expression = "http.cookie eq \"a=b\""
		description = "Trigger snippet on specific cookie"
		snippet_name = "my_test_snippet_1"
	}
	depends_on = [cloudflare_snippet.my_snippet]
}

Learn more in the Configure Snippets using Terraform documentation.

Cloud Connector Now Supports R2

Now, you can use Cloud Connector to route traffic to your R2 buckets based on URLs, headers, geolocation, and more.

Example setup:

curl --request PUT \
"https://api.cloudflare.com/client/v4/zones/{zone_id}/cloud_connector/rules" \
--header "Authorization: Bearer <API_TOKEN>" \
--header "Content-Type: application/json" \
--data '[
  {
    "expression": "http.request.uri.path wildcard \"/images/*\"",
    "provider": "cloudflare_r2",
    "description": "Connect to R2 bucket containing images",
    "parameters": {
      "host": "mybucketcustomdomain.example.com"
    }
  }
]'

Get started using Cloud Connector documentation.

New Rules Templates for One-Click Rule Creation

Now, you can create common rule configurations in just one click using Rules Templates.

Rules Templates

What you can do:

  • Pick a pre-built rule – Choose from a library of templates.
  • One-click setup – Deploy best practices instantly.
  • Customize as needed – Adjust templates to fit your setup.

Template cards are now also available directly in the rule builder for each product.

Need more ideas? Check out the Examples gallery in our documentation.